#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

#include "pcapng.h"

int main(int argc, char *argv[])
{
  int linktype, size, origsize;
  char buffer[80 * 1024];
  struct timeval tm;
  static int count = 0;
  char comment[32];

  while (1) {
    size = pkt_pcapng_read(stdin, buffer, sizeof(buffer),
			   &linktype, &origsize, &tm); /* pcapng */
    if (size < 0) break;

    sprintf(comment, "Packet No.%d", ++count);

    pkt_pcapng_write(stdout, buffer, size,
		     linktype, origsize, &tm, comment); /* pcapng */
  }

  return 0;
}
